using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Keyless]
[Table("Lock")]
public partial class Lock
{
    [Column("LockGUID")]
    public Guid LockGuid { get; set; }

    [Column("ItemGUID")]
    public Guid ItemGuid { get; set; }

    [Column("UserGUID")]
    public Guid UserGuid { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime DateLocked { get; set; }

    [StringLength(64)]
    public string LockGroup { get; set; } = null!;

    [Column(TypeName = "datetime")]
    public DateTime DateLastActive { get; set; }

    [StringLength(256)]
    public string UserName { get; set; } = null!;

    [Column(TypeName = "datetime")]
    public DateTime DateLockedUtc { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime DateLastActiveUtc { get; set; }
}
